Skip to main content

Authentication

Base URL: https://accounts.iqmetrix.net

Endpoints​

POST v1/oauth2/token​

Base URL: https://accounts.iqmetrix.net

Request Information​

URI Parameters​

None.

Body Parameters​

All fields are required

AuthenticationPost

NameDescriptionTypeAdditional information
grant_typegrant_type is always password for API integrationsstringNone.
usernameUsername given to you in the Onboarding PackagestringNone.
passwordPassword given to you in the Onboarding PackagestringNone.
client_idClient Id given to you in the Onboarding PackagestringNone.
client_secretClient Secrect given to you in the Onboarding PackagestringNone.

Request Formats​

application/x-www-form-urlencoded

grant_type=value&username=value&password=value&client_id=value&client_secret=value

Response Information​

Resource Description​

AuthenticationReturn

NameDescriptionTypeAdditional information
access_tokenThis is the Bearer token that you will use to make all other API callsstringNone.
expires_inThis token expires in about 12 hoursintegerNone.
refresh_tokenI would not use this just get a fresh token like in this call.stringNone.

Response Formats​

application/json, text/json

{
"access_token": "sample string 1",
"expires_in": 2,
"refresh_token": "sample string 3"
}